package com.mdd.admin.validate.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("客户端提交手机号参数")
public class ClientPhoneValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("SessionID")
   private String sessionId;
   @ApiModelProperty("电话号码")
   private @NotNull(
   message = "Please enter your phone number"
) String phone;

   public String getSessionId() {
      return this.sessionId;
   }

   public @NotNull(
   message = "Please enter your phone number"
) String getPhone() {
      return this.phone;
   }

   public void setSessionId(String sessionId) {
      this.sessionId = sessionId;
   }

   public void setPhone(@NotNull(
   message = "Please enter your phone number"
) String phone) {
      this.phone = phone;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ClientPhoneValidate)) {
         return false;
      } else {
         ClientPhoneValidate other = (ClientPhoneValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$sessionId = this.getSessionId();
            Object other$sessionId = other.getSessionId();
            if (this$sessionId == null) {
               if (other$sessionId != null) {
                  return false;
               }
            } else if (!this$sessionId.equals(other$sessionId)) {
               return false;
            }

            Object this$phone = this.getPhone();
            Object other$phone = other.getPhone();
            if (this$phone == null) {
               if (other$phone != null) {
                  return false;
               }
            } else if (!this$phone.equals(other$phone)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ClientPhoneValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $sessionId = this.getSessionId();
      result = result * 59 + ($sessionId == null ? 43 : $sessionId.hashCode());
      Object $phone = this.getPhone();
      result = result * 59 + ($phone == null ? 43 : $phone.hashCode());
      return result;
   }

   public String toString() {
      return "ClientPhoneValidate(sessionId=" + this.getSessionId() + ", phone=" + this.getPhone() + ")";
   }
}
